com.hazelcast.jet.avro

## Class AvroProcessors

- java.lang.Object
- - com.hazelcast.jet.avro.AvroProcessors

-     public final class AvroProcessors
      extends Object

  Static utility class with factories of Apache Avro source and sink processors.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <D,T> ProcessorMetaSupplier` | `readFilesP(String directory, String glob, boolean sharedFileSystem, DistributedSupplier<? extends org.apache.avro.io.DatumReader<D>> datumReaderSupplier, DistributedBiFunction<String,? super D,T> mapOutputFn)` Returns a supplier of processors for `AvroSources.filesBuilder(java.lang.String, java.lang.Class<D>)`.
    `static <D> ProcessorMetaSupplier` | `writeFilesP(String directoryName, DistributedSupplier<org.apache.avro.Schema> schemaSupplier, DistributedSupplier<org.apache.avro.io.DatumWriter<D>> datumWriterSupplier)` Returns a supplier of processors for `AvroSinks.files(java.lang.String, com.hazelcast.jet.function.DistributedSupplier<org.apache.avro.Schema>, com.hazelcast.jet.function.DistributedSupplier<org.apache.avro.io.DatumWriter<R>>)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readFilesP

          @Nonnull
          public static <D,T> ProcessorMetaSupplier readFilesP(@Nonnull
                                                                        String directory,
                                                                        @Nonnull
                                                                        String glob,
                                                                        boolean sharedFileSystem,
                                                                        @Nonnull
                                                                        DistributedSupplier<? extends org.apache.avro.io.DatumReader<D>> datumReaderSupplier,
                                                                        @Nonnull
                                                                        DistributedBiFunction<String,? super D,T> mapOutputFn)

      Returns a supplier of processors for `AvroSources.filesBuilder(java.lang.String, java.lang.Class<D>)`.

    - #### writeFilesP

          @Nonnull
          public static <D> ProcessorMetaSupplier writeFilesP(@Nonnull
                                                                       String directoryName,
                                                                       @Nonnull
                                                                       DistributedSupplier<org.apache.avro.Schema> schemaSupplier,
                                                                       @Nonnull
                                                                       DistributedSupplier<org.apache.avro.io.DatumWriter<D>> datumWriterSupplier)

      Returns a supplier of processors for `AvroSinks.files(java.lang.String, com.hazelcast.jet.function.DistributedSupplier<org.apache.avro.Schema>, com.hazelcast.jet.function.DistributedSupplier<org.apache.avro.io.DatumWriter<R>>)`.

Copyright © 2018. All rights reserved.